import java.util.Scanner;

public class Popularidade {

    public static void main(String[] args) {
        int n = 0, maior = 0;
        int[][] cedulas;
        Scanner sc = new Scanner(System.in);

        while (true) {
            n = sc.nextInt();

            if (n <= 0) {
                break;
            }

            //Inicializar matriz de cedulas
            cedulas = new int[n + 1][n];

            //Ler n cedulas
            for (int i = 0; i < n; i++) {
                for (int j = 0; j < n; j++) {
                    cedulas[i][j] = sc.nextInt();
                }
            }

            //Calcular votos
            //Percorre por colunas
            for (int j = 0; j < n; j++) //Percorre por linhas
            {
                for (int i = 0; i < n; i++) {
                    cedulas[n][j] = cedulas[n][j] + cedulas[i][j];
                }
            }

            //Pegar a maior quantidade de votos
            for (int j = 0; j < cedulas[n].length; j++) {
                if (cedulas[n][j] > maior) {
                    maior = cedulas[n][j];
                }
            }

            //Imprime a maior quantidade de votos
            System.out.println(maior);
            maior = 0;
        }
    }
}
